Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

asked 2014-04-11 14:39:46 -0500

dubi gravatar image

packstack (centos 6.5) issue with Havana

I am running: packstack --allinone which worked to completion on fedora 19.

But now I am running it for CENTOS 6.5 and getting the following error (after doing ok mysql and qpid stages):

Applying 9.148.26.136_keystone.pp Applying 9.148.26.136_glance.pp

Applying 9.148.26.136_cinder.pp [ ERROR ]

ERROR : Error appeared during Puppet run: 9.148.26.136_keystone.pp

Error: Execution of '/usr/bin/yum -d 0 -e 0 -y install openstack-keystone' returned 1: Error: Package: python-dogpile- cache-0 .5.0-1.el6.noarch (openstack-havana)

You will find full trace in log /var/tmp/packstack/20140411-221426-2SCYuT/manifests /9.148.26.136_keystone.pp.log

Please check log file /var/tmp/packstack/20140411-221426-2SCYuT/openstack-setup.log for more information

In the openstack-setup.log file I find the following:

cd /var/tmp/packstack/20140411-221426-2SCYuT/manifests

tar --dereference -cpzf - ../manifests | ssh -o StrictHostKeyChecking=no -o UserKnownHostsFile=/dev/null root@9.148.26.136 tar -C /var/tmp/packstack/9f3e25460b3e4efbbc9a4d6510d37367 -xpzf -

cd /usr/lib/python2.6/site-packages/packstack/puppet/modules

tar --dereference -cpzf - apache ceilometer certmonger cinder concat firewall glance heat horizon inifile keystone memcached mongodb mysql neutron nova nssdb openstack packstack qpid rsync ssh stdlib swift sysctl tempest vcsrepo vlan vswitch xinetd | ssh -o StrictHostKeyChecking=no -o UserKnownHostsFile=/dev/null root@9.148.26.136 tar -C /var/tmp/packstack/9f3e25460b3e4efbbc9a4d6510d37367/modules -xpzf -

2014-04-11 22:17:01::ERROR::run_setup::912::root:: Traceback (most recent call last):

File "/usr/lib/python2.6/site-packages/packstack/installer/run_setup.py", line 907, in main

_main(confFile)

File "/usr/lib/python2.6/site-packages/packstack/installer/run_setup.py", line 573, in _main

runSequences()

File "/usr/lib/python2.6/site-packages/packstack/installer/run_setup.py", line 552, in runSequences

controller.runAllSequences()

File "/usr/lib/python2.6/site-packages/packstack/installer/setup_controller.py", line 84, in runAllSequences

sequence.run(self.CONF)

File "/usr/lib/python2.6/site-packages/packstack/installer/core/sequences.py", line 105, in run

step.run(config=config)

File "/usr/lib/python2.6/site-packages/packstack/installer/core/sequences.py", line 52, in run

raise SequenceError(str(ex))

SequenceError: Error appeared during Puppet run: 9.148.26.136_keystone.pp

Error: Execution of '/usr/bin/yum -d 0 -e 0 -y install openstack-keystone' returned 1: Error: Package: python-dogpile- cache-0.5.0-1.el6.noarch (openstack-havana)

You will find full trace in log /var/tmp/packstack/20140411-221426-2SCYuT/manifests/9.148.26.136_keystone.pp.log


Any idea how to fix ? Thx in advance

packstack (centos 6.5) issue with Havana

I am running: packstack --allinone which worked to completion on fedora 19.

But now I am running it for CENTOS 6.5 and getting the following error (after doing ok mysql and qpid stages):

Applying 9.148.26.136_keystone.pp Applying 9.148.26.136_glance.pp

Applying 9.148.26.136_cinder.pp [ ERROR ]

ERROR : Error appeared during Puppet run: 9.148.26.136_keystone.pp

Error: Execution of '/usr/bin/yum -d 0 -e 0 -y install openstack-keystone' returned 1: Error: Package: python-dogpile- cache-0 .5.0-1.el6.noarch (openstack-havana)

You will find full trace in log /var/tmp/packstack/20140411-221426-2SCYuT/manifests /9.148.26.136_keystone.pp.log

Please check log file /var/tmp/packstack/20140411-221426-2SCYuT/openstack-setup.log for more information

In the openstack-setup.log file /var/tmp/packstack/20140411-221426-2SCYuT/manifests /9.148.26.136_keystone.pp.log I find the following:

cd /var/tmp/packstack/20140411-221426-2SCYuT/manifests

tar --dereference -cpzf - ../manifests | ssh -o StrictHostKeyChecking=no -o UserKnownHostsFile=/dev/null root@9.148.26.136 tar -C /var/tmp/packstack/9f3e25460b3e4efbbc9a4d6510d37367 -xpzf -

cd /usr/lib/python2.6/site-packages/packstack/puppet/modules

tar --dereference -cpzf - apache ceilometer certmonger cinder concat firewall glance heat horizon inifile keystone memcached mongodb mysql neutron nova nssdb openstack packstack qpid rsync ssh stdlib swift sysctl tempest vcsrepo vlan vswitch xinetd | ssh -o StrictHostKeyChecking=no -o UserKnownHostsFile=/dev/null root@9.148.26.136 tar -C /var/tmp/packstack/9f3e25460b3e4efbbc9a4d6510d37367/modules -xpzf -

2014-04-11 22:17:01::ERROR::run_setup::912::root:: Traceback (most recent call last):

File "/usr/lib/python2.6/site-packages/packstack/installer/run_setup.py", line 907, in main

_main(confFile)

File "/usr/lib/python2.6/site-packages/packstack/installer/run_setup.py", line 573, in _main

runSequences()

File "/usr/lib/python2.6/site-packages/packstack/installer/run_setup.py", line 552, in runSequences

controller.runAllSequences()

File "/usr/lib/python2.6/site-packages/packstack/installer/setup_controller.py", line 84, in runAllSequences

sequence.run(self.CONF)

File "/usr/lib/python2.6/site-packages/packstack/installer/core/sequences.py", line 105, in run

step.run(config=config)

File "/usr/lib/python2.6/site-packages/packstack/installer/core/sequences.py", line 52, in run

raise SequenceError(str(ex))

SequenceError: Error appeared during Puppet run: 9.148.26.136_keystone.pp

Error: ^[[1;31mError: Execution of '/usr/bin/yum -d 0 -e 0 -y install openstack-keystone' returned 1: Error: Package: python-dogpile- cache-0.5.0-1.el6.noarch (openstack-havana)

python-dogpile-cache-0.5.0-1.el6.noarch (openstack-havana)

       Requires: python-dogpile-core >= 0.4.1

Error: Package: python-migrate-0.7.2-8.el6.noarch (openstack-havana)

       Requires: python-sqlalchemy0.7

Error: Package: 1:python-keystoneclient-0.4.1-4.el6.noarch (openstack-havana)

       Requires: python-requests >= 0.8.8

Error: Package: 1:python-keystoneclient-0.4.1-4.el6.noarch (openstack-havana)

       Requires: python-argparse

Error: Package: python-keystone-2013.2.3-2.el6.noarch (openstack-havana)

       Requires: python-sqlalchemy0.7

Error: Package: python-keystone-2013.2.3-2.el6.noarch (openstack-havana)

       Requires: python-eventlet

Error: Package: python-keystone-2013.2.3-2.el6.noarch (openstack-havana)

       Requires: python-paste-deploy1.5

Error: Package: 1:python-keystoneclient-0.4.1-4.el6.noarch (openstack-havana)

       Requires: python-six

Error: Package: 1:python-keystoneclient-0.4.1-4.el6.noarch (openstack-havana)

       Requires: python-keyring

Error: Package: python-keystone-2013.2.3-2.el6.noarch (openstack-havana)

       Requires: python-passlib

Error: Package: 1:python-keystoneclient-0.4.1-4.el6.noarch (openstack-havana)

       Requires: python-prettytable

Error: Package: python-keystone-2013.2.3-2.el6.noarch (openstack-havana)

       Requires: python-six

Error: Package: python-oauth2-1.5.211-5.el6.noarch (openstack-havana)

       Requires: python-httplib2

Error: Package: python-keystone-2013.2.3-2.el6.noarch (openstack-havana)

       Requires: python-routes1.12

Error: Package: 1:python-oslo-config-1.2.1-1.el6.noarch (openstack-havana)

       Requires: python-argparse

Error: Package: 1:python-oslo-config-1.2.1-1.el6.noarch (openstack-havana)

       Requires: python-six

You will find full trace in log /var/tmp/packstack/20140411-221426-2SCYuT/manifests/9.148.26.136_keystone.pp.logcould try using --skip-broken to work around the problem

You could try running: rpm -Va --nofiles --nodigest


Any idea how to fix ? Thx in advance

packstack (centos 6.5) issue with Havana

I am running: packstack --allinone which worked to completion on fedora 19.

But now I am running it for CENTOS 6.5 and getting the following error (after doing ok mysql and qpid stages):

Applying 9.148.26.136_keystone.pp Applying 9.148.26.136_glance.pp

Applying 9.148.26.136_cinder.pp [ ERROR ]

ERROR : Error appeared during Puppet run: 9.148.26.136_keystone.pp

Error: Execution of '/usr/bin/yum -d 0 -e 0 -y install openstack-keystone' returned 1: Error: Package: python-dogpile- cache-0 .5.0-1.el6.noarch (openstack-havana)

You will find full trace in log /var/tmp/packstack/20140411-221426-2SCYuT/manifests /9.148.26.136_keystone.pp.log

Please check log file /var/tmp/packstack/20140411-221426-2SCYuT/openstack-setup.log for more information

In the file /var/tmp/packstack/20140411-221426-2SCYuT/manifests /9.148.26.136_keystone.pp.log I find the following:

^[[1;31mError: Execution of '/usr/bin/yum -d 0 -e 0 -y install openstack-keystone' returned 1: Error: Package: python-dogpile-cache-0.5.0-1.el6.noarch (openstack-havana)

       Requires: python-dogpile-core >= 0.4.1

Error: Package: python-migrate-0.7.2-8.el6.noarch (openstack-havana)

       Requires: python-sqlalchemy0.7

Error: Package: 1:python-keystoneclient-0.4.1-4.el6.noarch (openstack-havana)

       Requires: python-requests >= 0.8.8

Error: Package: 1:python-keystoneclient-0.4.1-4.el6.noarch (openstack-havana)

       Requires: python-argparse

Error: Package: python-keystone-2013.2.3-2.el6.noarch (openstack-havana)

       Requires: python-sqlalchemy0.7

Error: Package: python-keystone-2013.2.3-2.el6.noarch (openstack-havana)

       Requires: python-eventlet

Error: Package: python-keystone-2013.2.3-2.el6.noarch (openstack-havana)

       Requires: python-paste-deploy1.5

Error: Package: 1:python-keystoneclient-0.4.1-4.el6.noarch (openstack-havana)

       Requires: python-six

Error: Package: 1:python-keystoneclient-0.4.1-4.el6.noarch (openstack-havana)

       Requires: python-keyring

Error: Package: python-keystone-2013.2.3-2.el6.noarch (openstack-havana)

       Requires: python-passlib

Error: Package: 1:python-keystoneclient-0.4.1-4.el6.noarch (openstack-havana)

       Requires: python-prettytable

Error: Package: python-keystone-2013.2.3-2.el6.noarch (openstack-havana)

       Requires: python-six

Error: Package: python-oauth2-1.5.211-5.el6.noarch (openstack-havana)

       Requires: python-httplib2

Error: Package: python-keystone-2013.2.3-2.el6.noarch (openstack-havana)

       Requires: python-routes1.12

Error: Package: 1:python-oslo-config-1.2.1-1.el6.noarch (openstack-havana)

       Requires: python-argparse

Error: Package: 1:python-oslo-config-1.2.1-1.el6.noarch (openstack-havana)

       Requires: python-six

You could try using --skip-broken to work around the problem

You could try running: rpm -Va --nofiles --nodigest


if I try : /usr/bin/yum -d 0 -e 0 -y --skip-broken install openstack-keystone

I get:

Packages skipped because of dependency problems:

PyPAM-0.5.0-12.el6.x86_64 from base

openstack-keystone-2013.2.3-2.el6.noarch from openstack-havana

python-babel-0.9.4-5.1.el6.noarch from base

python-dogpile-cache-0.5.0-1.el6.noarch from openstack-havana

python-iso8601-0.1.8-1.el6.noarch from openstack-havana

python-keystone-2013.2.3-2.el6.noarch from openstack-havana

1:python-keystoneclient-0.4.1-4.el6.noarch from openstack-havana

python-memcached-1.53-1.el6.noarch from openstack-havana

python-migrate-0.7.2-8.el6.noarch from openstack-havana

python-oauth2-1.5.211-5.el6.noarch from openstack-havana

1:python-oslo-config-1.2.1-1.el6.noarch from openstack-havana

python-simplejson-2.0.9-3.1.el6.x86_64 from base

python-tempita-0.4-2.el6.noarch from base

python-webob-1.2.3-4.el6.noarch from openstack-havana

But then keystone is not installed . Unacceptable !

Any idea how to fix ? Thx in advance

packstack (centos 6.5) issue with Havana

I am running: packstack --allinone which worked to completion on fedora 19.

But now I am running it for CENTOS 6.5 and getting the following error (after doing ok mysql and qpid stages):

Applying 9.148.26.136_keystone.pp Applying 9.148.26.136_glance.pp

Applying 9.148.26.136_cinder.pp [ ERROR ]

ERROR : Error appeared during Puppet run: 9.148.26.136_keystone.pp

Error: Execution of '/usr/bin/yum -d 0 -e 0 -y install openstack-keystone' returned 1: Error: Package: python-dogpile- cache-0 .5.0-1.el6.noarch (openstack-havana)

You will find full trace in log /var/tmp/packstack/20140411-221426-2SCYuT/manifests /9.148.26.136_keystone.pp.log

Please check log file /var/tmp/packstack/20140411-221426-2SCYuT/openstack-setup.log for more information

In the file /var/tmp/packstack/20140411-221426-2SCYuT/manifests /9.148.26.136_keystone.pp.log I find the following:

^[[1;31mError: Execution of '/usr/bin/yum -d 0 -e 0 -y install openstack-keystone' returned 1: Error: Package: python-dogpile-cache-0.5.0-1.el6.noarch (openstack-havana)

       Requires: python-dogpile-core >= 0.4.1

Error: Package: python-migrate-0.7.2-8.el6.noarch (openstack-havana)

       Requires: python-sqlalchemy0.7

Error: Package: 1:python-keystoneclient-0.4.1-4.el6.noarch (openstack-havana)

       Requires: python-requests >= 0.8.8

Error: Package: 1:python-keystoneclient-0.4.1-4.el6.noarch (openstack-havana)

       Requires: python-argparse

Error: Package: python-keystone-2013.2.3-2.el6.noarch (openstack-havana)

       Requires: python-sqlalchemy0.7

Error: Package: python-keystone-2013.2.3-2.el6.noarch (openstack-havana)

       Requires: python-eventlet

Error: Package: python-keystone-2013.2.3-2.el6.noarch (openstack-havana)

       Requires: python-paste-deploy1.5

Error: Package: 1:python-keystoneclient-0.4.1-4.el6.noarch (openstack-havana)

       Requires: python-six

Error: Package: 1:python-keystoneclient-0.4.1-4.el6.noarch (openstack-havana)

       Requires: python-keyring

Error: Package: python-keystone-2013.2.3-2.el6.noarch (openstack-havana)

       Requires: python-passlib

Error: Package: 1:python-keystoneclient-0.4.1-4.el6.noarch (openstack-havana)

       Requires: python-prettytable

Error: Package: python-keystone-2013.2.3-2.el6.noarch (openstack-havana)

       Requires: python-six

Error: Package: python-oauth2-1.5.211-5.el6.noarch (openstack-havana)

       Requires: python-httplib2

Error: Package: python-keystone-2013.2.3-2.el6.noarch (openstack-havana)

       Requires: python-routes1.12

Error: Package: 1:python-oslo-config-1.2.1-1.el6.noarch (openstack-havana)

       Requires: python-argparse

Error: Package: 1:python-oslo-config-1.2.1-1.el6.noarch (openstack-havana)

       Requires: python-six

You could try using --skip-broken to work around the problem

You could try running: rpm -Va --nofiles --nodigest


if I try : /usr/bin/yum -d 0 -e 0 -y --skip-broken install openstack-keystone

I get:

Packages skipped because of dependency problems:

PyPAM-0.5.0-12.el6.x86_64 from base

openstack-keystone-2013.2.3-2.el6.noarch from openstack-havana

python-babel-0.9.4-5.1.el6.noarch from base

python-dogpile-cache-0.5.0-1.el6.noarch from openstack-havana

python-iso8601-0.1.8-1.el6.noarch from openstack-havana

python-keystone-2013.2.3-2.el6.noarch from openstack-havana

1:python-keystoneclient-0.4.1-4.el6.noarch from openstack-havana

python-memcached-1.53-1.el6.noarch from openstack-havana

python-migrate-0.7.2-8.el6.noarch from openstack-havana

python-oauth2-1.5.211-5.el6.noarch from openstack-havana

1:python-oslo-config-1.2.1-1.el6.noarch from openstack-havana

python-simplejson-2.0.9-3.1.el6.x86_64 from base

python-tempita-0.4-2.el6.noarch from base

python-webob-1.2.3-4.el6.noarch from openstack-havana

But then keystone is not installed . Unacceptable !

Any idea how to fix ? Thx in advance